###############################################################################
# BizDesign ImageFolio Lite Edition 4.2 (Four-dot-Two)
###############################################################################
#
#          ##          ###        VERSION       :  4.2
#        ####        ##   ##      RELEASED ON   :  02/15/2007
#      ##  ##              ##     LAST MODIFIED :  02/15/2007
#    ##########          ##       
#          ##   ###    ##         
#          ##   ###  ########     
#
###############################################################################
# Released by BizDesign, Inc.
# written by Dirk Koppers and Greg Raaum of BizDesign
#
# Purchasing :  http://imagefolio.com/purchase/
# Support    :  http://imagefolio.com/support/
# Phone      :  (214) 642-9787
# Email      :  sales@bizdesign.com
###############################################################################
# COPYRIGHT AND LICENSE INFORMATION :
#
# Copyright (c) 1999-2007 BizDesign, Inc. All rights reserved.
#
# Selling or distributing the code for this program without prior written
# consent is expressly forbidden.
#
# One licensed copy of the program may reside on a single server, in use by a
# single domain.  For each installed instance of the program, a separate
# license is required.
#
# Licensed users may alter or modify this software, at their own risk, of
# course.  They may also hire others to modify their own copy of the code, as
# long as the code is not transferred to or retained by the individual who is
# hired (unless he/she is also a license holder). Although license-holders
# may modify the code for their use, modified code may NOT be resold or
# distributed.
#
# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL BIZDESIGN,
# INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# BizDesign, Inc. is not liable for any conduct associated with image gallery
# activity, nor for any binary media posted using this program, including but
# not imited to images, photographs, movies, and clipart.
#
# The user must assume the entire risk of using the program.  Although this
# program has been thoroughly tested on BizDesign's servers, BizDesign does not
# warrant that it works on all servers and will not be held liable for anything,
# including but not limited to, misusage, error, or loss of data.  ANY
# LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT
# OR REFUND OF PURCHASE PRICE.  Use at your own risk!
###############################################################################
# Do not modify below this line unless you know what you are doing.
###############################################################################

# (1) #########################################################################
# WHAT IS THE FULL PATH TO YOUR USER DATABASES?
# Path to the text file containing usernames and encrypted passwords
# For extra security you should store this outside on your Web server if
# possible and rename the default to something else.

$admindb = "$data_directory/db/admin_user.db";

# (4) #########################################################################
# PLEASE PROVIDE A SECRET 'KEY' THAT WILL BE USED TO ENCRYPT PASSWORDS.
# Change the value of $secret_key to any combination of numbers, letters,
# symbols, or spaces.
# ***WARNING*** After you change the value of $secret_key you must run 
# http://www.yourdomain.com/cgi-bin/ImageFolio3/admin/reset.cgi
# to reset the password for the default Admin user.
# THIS WILL DELETE ADMIN, GROUP and USER DATABASE!!!!!
# Then, login to the admin area with username/password: Admin/ImageFolio
# Afterwards you should not change the secret key value or run reset.cgi
# unless it is absolutely necessary as it will DELETE ADMIN, GROUP and USER DATABASE

$secret_key = "A secret key";

# (5) #########################################################################
# DO YOU WANT TO USE COOKIES FOR EASIER LOGIN?
# If so, it will store a cookie on the computer of each user who accesses this
# interface so next time they log in they won't have to type in a username or
# a password. 1 - Yes, 0 - No

$use_cookies = 1;

# (6) #########################################################################
# AFTER WHAT PERIOD OF INACTIVITY SHOULD SESSION FILES BE DELETED?
# ImageFolio will delete old session files if they have not been used for a
# specific period of time.  This is good security for those who log in and then
# stop working for a while.  The system will automatically lock them out and
# they will have to log in again to continue working.  What length of time would
# you like this to be? example:  1 = 1 day., .25 = 6 hours,  .015 = 21 minutes

$session_expiration = '.25';

# (8) #########################################################################
# WHAT TYPE STYLES WOULD YOU LIKE TO USE FOR THE BASIC TEXT ON ADMIN PAGES?

$admin_font = 'font face="Verdana,Arial,Helvetica" size="2"';
$admin_small_font = 'font face="Verdana,Arial,Helvetica" size="1"';
$admin_big_font = 'font face="Arial,Helvetica" color="#000000" size=3';

# (10) #########################################################################
# HOW LONG KEEP YOUR BACKUPS?
# Here you can set how many days backups should be kept of your index.txt and
# categories.txt files that are located in your "data/backup" directory.
# The default value is 15 days.

$backup_expiration = 15;


# (11) #########################################################################
# REMIND ME TO REBUILD THE INDEX WHEN I LOG OUT?
# If you set this to "1" then you will be reminded to rebuild the index every time
# you log out. RECOMMENDED!

$remind_rebuild = 1;

#################################################################################
###        SECTION 2   ImageMagick configuration                          #######
#################################################################################


# (12) #########################################################################
# UPLOAD FILES

$iBULC_upload = 1;
$use_single_file_upload = 1;    # (Automatic create thumbnails) IMAGEMAGICK OR IMAGECONVERT REQUIRED !
$use_manual_file_upload = 1;    # (Manual upload files plus thumbnails)

# (13) ########################################################################
# BATCH UPLOAD FILES
# You can ether choose to do client-side or server-side thumbnailing. For server-side
# thumbnailing IMAGEMAGICK OR IMAGECONVERT is required!

$iBULC_thumbnailing = 1;


# (14) #########################################################################
# Overwrite if filename allready exist?
# $overwrite_if_exist = 1;


# (15) #########################################################################
# KEEP THE ORIGINAL FILE?
# If you upload a high resolution "TIF" or "JPG" then ImageFolio will keep the
# origianal file if you have "$use_fullsize=1" in your config.pl. Make sure that
# the extension of the file you upload is the same (case sensitive) as the 
# "$myextension_fullsize" set in the config.pl otherwise users might not be able
# to open the file since ImageFolio WILL add that extension if it is not there!


# (16) ###################################################################
# WHAT IS THE FULL (ABSOLUTE) PATH TO YOUR 'temp' DIRECTORY.
# Create or designate a temporary directory!
# The 'temp' directory is used to store uploads temporarily.  Images are
# automatically deleted from this space. It's permissions must be set to 777.

$tempdir = "$base_if_path/temp";

# (17) ###################################################################
# WHAT IS THE MAXIMUM WIDTH OR HEIGHT FOR YOUR THUMBNAILS AND IMAGES
# Your images and thumbnails will be scaled in proportion.  The width or
# height, whichever is greater, will be scaled to the dimension supplied
# below.

$ThumbDimensions = 120;
$ImageDimensions = 500;

# (18) ###################################################################
# ALL IMAGES ARE SAVED AS JPEGs.  WHAT QUALITY WOULD YOU LIKE YOUR
# THUMBNAILS AND IMAGES TO BE SAVED IN?
# Choose a numberic value between 0 and 100.  Note that higher numbers
# mean better quality but larger file size.

$ThumbQuality = 70;
$ImageQuality = 85;

# (19) ###################################################################
# YOU CAN AUTOMATICALLY HAVE THE CONTRAST OF ALL THUMBNAILS AND IMAGES
# INCREASED BY SETTING THEIR VALUES BELOW.
# Specify a numeric value between 0 and 100.

$ThumbContrast = 5;
$ImageContrast = 5;

# (20) ###################################################################
# YOU CAN AUTOMATICALLY HAVE THE SHARPNESS OF ALL THUMBNAILS AND IMAGES
# INCREASED BY SETTING THEIR VALUES BELOW.
# Specify a numeric value between 0 and 100.
# ImageMagick around 0.7 is good
# ImageConvert around 10-30 good

$ThumbSharpness = '20';
$ImageSharpness = '10';

# (21) ###################################################################
# WHAT IS THE MAXIMUM FILE SIZE FOR AN IMAGE THAT A USER CAN UPLOAD?
# Put a value in bytes.  So, for 200 kb, you would put '200000'
# Please note that ImageFolio will automatically size this down, so keep
# this number fairly high.

$max_size = (1024 * 1024) * 1000; # (1024 * 1024) = 1 MB


# Modify brightness (-100...100)
# $ImageCustom .= " -brightness 10"; #EXAMPLE
# $ThumbCustom .= " -brightness 10";

# Enhance detail
# $ImageCustom .= " -edetail";
# $ThumbCustom .= " -edetail";

# Enhance edges (1...100)
# $ImageCustom .= " -eedge 10";
# $ThumbCustom .= " -eedge 10";

# Edge detect light/medium/heavy
# $ImageCustom .= " -edgedetect medium";
# $ThumbCustom .= " -edgedetect medium";

# Enhance focus
# $ImageCustom .= " -efocus";
# $ThumbCustom .= " -efocus";

# Emboss
# $ImageCustom .= " -emboss";
# $ThumbCustom .= " -emboss";

# Emboss more
# $ImageCustom .= " -embossmore";
# $ThumbCustom .= " -embossmore";

# Equalize
# $ImageCustom .= " -equalize";
# $ThumbCustom .= " -equalize";

# Modify gamma (0.01<->5.0)
# $ImageCustom .= " -gamma 1.0";
# $ThumbCustom .= " -gamma 1.0";

# Convert in Grey Scale (256, 128, 64, 32, 16, 8 or 4)
# $ImageCustom .= " -grey 256";
# $ThumbCustom .= " -grey 256";

# Negate
# $ImageCustom .= " -negate";
# $ThumbCustom .= " -negate";

# Reduce noise
# $ImageCustom .= " -noise reduce";
# $ThumbCustom .= " -noise reduce";

# Normalize
# $ImageCustom .= " -normalize";
# $ThumbCustom .= " -normalize";

# Shear
# $ImageCustom .= " -shear";
# $ThumbCustom .= " -shear";

# Slice
# $ImageCustom .= " -slice";
# $ThumbCustom .= " -slice";

# Soften (1...100)
# $ImageCustom .= " -soften 10";
# $ThumbCustom .= " -soften 10";

# Solarize (1...255)
# $ImageCustom .= " -solarize 25";
# $ThumbCustom .= " -solarize 25";

# Spread (1...32)
# $ImageCustom .= " -spread 3";
# $ThumbCustom .= " -spread 3";


# NO NEED TO MODIFY ANYTHING BELOW THIS LINE #################################
$allow_multiple_administrators = 1;

#$admin_setup_url = "$admindir_url/admin_user_setup.cgi";
$admin_setup_url  = $imagefolio_url . "?admin=admin_user_setup";
#$group_setup_url = "$admindir_url/gallery_group_setup.cgi";
$group_setup_url  = $imagefolio_url . "?admin=gallery_group_setup";
#$buildurl         = "$admindir_url/nph-build.cgi";
$buildurl         = $imagefolio_url . "?admin=build&ct=$current_time";
#$adminurl         = "$admindir_url/admin.cgi";
$adminurl         = $imagefolio_url . "?admin=admin";
#$reseturl         = "$admindir_url/reset.cgi";
$reseturl         = $imagefolio_url . "?admin=reset";
#$imuploaddurl     = "$admindir_url/imupload.cgi";
$imuploaddurl     = $imagefolio_url . "?ifup=imupload";
#$iBULC_uploaddurl  = "$admindir_url/iBULC_upload.cgi";
$iBULC_uploaddurl = $imagefolio_url . "?ifup=iBULC_upload";
#$uploadurl        = "$admindir_url/upload.cgi";
$uploadurl        = $imagefolio_url . "?ifup=upload";


##

1;
