###############################################################################
# BizDesign ImageFolio Lite Edition 4.2 (Four-dot-Two)
###############################################################################
#
#          ##          ###        VERSION       :  4.2
#        ####        ##   ##      RELEASED ON   :  02/15/2007
#      ##  ##              ##     LAST MODIFIED :  02/15/2007
#    ##########          ##       
#          ##   ###    ##         
#          ##   ###  ########     
#
###############################################################################
# Released by BizDesign, Inc.
# written by Dirk Koppers and Greg Raaum of BizDesign
#
# Purchasing :  http://imagefolio.com/purchase/
# Support    :  http://imagefolio.com/support/
# Phone      :  (214) 642-9787
# Email      :  sales@bizdesign.com
###############################################################################
# COPYRIGHT AND LICENSE INFORMATION :
#
# Copyright (c) 1999-2007 BizDesign, Inc. All rights reserved.
#
# Selling or distributing the code for this program without prior written
# consent is expressly forbidden.
#
# One licensed copy of the program may reside on a single server, in use by a
# single domain.  For each installed instance of the program, a separate
# license is required.
#
# Licensed users may alter or modify this software, at their own risk, of
# course.  They may also hire others to modify their own copy of the code, as
# long as the code is not transferred to or retained by the individual who is
# hired (unless he/she is also a license holder). Although license-holders
# may modify the code for their use, modified code may NOT be resold or
# distributed.
#
# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL BIZDESIGN,
# INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# BizDesign, Inc. is not liable for any conduct associated with image gallery
# activity, nor for any binary media posted using this program, including but
# not imited to images, photographs, movies, and clipart.
#
# The user must assume the entire risk of using the program.  Although this
# program has been thoroughly tested on BizDesign's servers, BizDesign does not
# warrant that it works on all servers and will not be held liable for anything,
# including but not limited to, misusage, error, or loss of data.  ANY
# LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT
# OR REFUND OF PURCHASE PRICE.  Use at your own risk!
###############################################################################
# Do not modify below this line unless you know what you are doing.
###############################################################################

# (1) #######################################################################
# WHAT FONT, AND SIZE WOULD YOUR LIKE TO USE TO DISPLAY THE
# CATEGORIES AND SUBCATEGORIES?
# the columned category list is the default or main page - category
# names are determined by your directory names.!
# Note: the color of the font is set in the home.html and thumbnails.html
# template. Look for <style type="text/css">

$cat_font = 'font face="Arial,Helvetica" size=3 color="#FFFFFF"';

# (2) #######################################################################
# WHAT FONT, COLOR, AND SIZE WOULD YOUR LIKE TO USE TO DISPLAY HEADER TEXT?
# the columned subcategory list is the default or main page - category
# names are determined by your directory names. Backslash quote signs!

$main_header_font = 'face="Arial,Helvetica" color="#FFFFFF" size="+1"';

# (3) #######################################################################
# What colors do you want to use for the main table?

$main_table_border_color ='#999999';
$main_header_bgcolor = '#333333';
$main_nav_bgcolor ='#666666';

# (4) #######################################################################
# WHAT BACKGROUND COLOR WOULD YOU LIKE TO USE FOR THUMBNAIL INFORMATION?
# this is the table that displays image information

$table_background_color = '#666666';

# (5) #######################################################################
# WHAT FONT, COLOR, AND SIZE WOULD YOUR LIKE TO USE TO DISPLAY IMAGE
# INFORMATION AND PAGE LOCATION?

$font = 'font face="Verdana,Arial,Helvetica" color="#FFFFFF" size=1';

# (6) #######################################################################
# WHAT BACKGROUND COLOR DO YOU WANT THE TABLE TO BE ON THUMBNAIL PAGES?
# white (#ffffff) is default

$thumb_table_bgcolor = '#000000';

# (7) #######################################################################
# WHAT BORDER COLOR DO YOU WANT SURROUND THE IMAGES AND IMAGE INFO?
# gray (#cccccc) is default

$thumb_table_border_color = '#666666';

# (8) #######################################################################
# WHAT TABLE BACKGROUND COLOR DO YOU WANT TO USE FOR DISPLAYING YOUR
# SUBCATEGORIES? gray (#ffffff) is default

$subcat_bgcolor = '#000000';

# (9) ###################################################################
# WHAT FONT TYPE, COLOR, AND SIZE WOULD YOU LIKE TO USE TO DISPLAY IMAGE
# COUNTS?

$count_font = 'font face="Verdana,Arial,Helvetica" color="#FFFFFF" size=1';


# (10) #########################################################################
# WHAT TYPE STYLES WOULD YOU LIKE TO USE FOR THE BASIC TEXT ON THE POPUP ADMIN PAGES?

$fe_admin_font = 'font face="Verdana,Arial,Helvetica" size="2"';
$fe_admin_small_font = 'font face="Verdana,Arial,Helvetica" size="1"';

# (10) ########################################################################################
# IPTC TABLE COLORS AND FONTS
# The table with the image info will atomatically be generated if you image contains IPCT data
# and if you have %%%IPTCTABLE%%% in your image.html template. To configure the looks of this
# table please edit the variables below.

$iptc_table_width           = qq|width="80%"|;
$iptc_table_border_color    = qq|bgcolor="$main_table_border_color"|;
$iptc_table_heading_bgcolor = qq|bgcolor="$main_header_bgcolor"|;
$iptc_table_field_bgcolor   = qq|bgcolor="$main_nav_bgcolor"|;
$iptc_table_value_bgcolor   = qq|bgcolor="#000000"|;
$iptc_field_font            = qq|font face="Verdana,Arial,Helvetica" size=1 color="#FFFFFF"|;
$iptc_value_font            = qq|font face="Verdana,Arial,Helvetica" size=1 color="#FFFFFF"|;
$iptc_table_header          = qq|<font face="Verdana,Arial,Helvetica" size=1 color="#FFFFFF"><b>IPTC INFO</b></font>|;

# (11) #########################################################################
# WHAT BACKGROUND COLOR ARE YOUR PAGES SET TO?
# This is for both the page background color and the color behind the radio buttons
# Radio buttons don't show up well against colored backgrounds on certain browsers.
# It displays a little white square instead.

$body_bgcolor = '#000000';
$radio_bgcolor = '#000000';


# (12) #########################################################################
# WHAT DO YOU WANT THE MAIN TABLE WIDTH OF IMAGEFOLIO SET TO
# If you are modifying the templates to fit into a designated space or if you
# want to just change the width of ImageFolio, please enter the value either in
# pixels or percentage below.  If percentage, please use the % symbol at the end.

$main_table_width = '760';


# (13) #########################################################################
# DO YOU WANT TO STICK WITH GRAPHICAL BUTTONS OR USE TEXT LINKS LIKE THE BONES
# SKIN DOES?
# Set this to 1 if you want text only and no buttons or graphics.

$use_textlinks = 1;  # note, if you set this you should increase page width


# (14) #########################################################################
# IF YOU ARE USING TEXTLINKS ABOVE, WHAT COLORS DO YOU WANT THE ADD TO
# LIGHTBOX AND REMOVE FROM LIGHTBOX TO BE?
# Please put a one (1) for $use_textlinks if you want to use textlinks
# instead of icons. If you choose to use texlinks then you can also specify the
# font (type, color, size) for the "Add" and "Remove" links.

$font_add_link = 'font face="Arial,Helvetica" color="#ffffff" size=2';
$font_remove_link = 'font face="Arial,Helvetica" color="#ff0000" size=2';


# (15) #########################################################################
# WHAT TYPE STYLE DO YOU WANT TO USE FOR THE DOWNLOAD LINK, IF USING TEXTLINKS
# This appears underneath the thumbnail and preview if a full-size download is
# granted to the user.  Define the font below.

$font_dl_link = 'font face="Arial,Helvetica" color="#ffffff" size=2';


# (16) ########################################################################################
# iBULC CUSTOM LOOK
$iBULC_bgcolor         = $body_bgcolor;
$iBULC_stylesheet_url  = "$skin_url/iBULC_stylesheet.css";
$iBULC_clock           = "White";

# NO NEED TO MODIFY ANYTHING BELOW THIS LINE #################################


# END OF SKIN CONFIGURATION ########################################################

$dynamic_count_font = 'font face="Verdana,Arial,Helvetica" size=1 color="#FF0000"';



1;
